Docs Self-Service web console examples

The following table provides examples of REST Call URIs for user-defined repositories. In these examples, the FQDN of the server that is running BEMS is bems.example.com. The authorized user that these functions are run against is user1. These function call examples use the Windows authentication using Basic credentials. Windows authentication using Negotiate credentials is also supported. If you use Negotiate credentials, you must create a Service Principal Name to allow BEMS to communicate with the Docs Self-Service web console. For more information, see Create a Service Principal Name to access the Docs Self-Service web console.

Function

REST Call URI example

Description

Get User Repositories

GET https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories

Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l

This example searches for and retrieves all of the repositories that are assigned to user1.

Get a User Repository

GET https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories/3451

Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l

This example searches for and retrieves a specific repository that includes the repositoryId 3451.

Create User-Defined Repository

POST https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories

Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l

HTTP Request body in JSON format:
{
 "name":"SalesPages",
 "storagetype":"SharePoint",
 "path":"https://<serverY>/sales",
 "validatepath":false
}

This example creates the new repository "SalesPages" for the authorized user.

Delete User-Defined Repository

DELETE https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories/3451

Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l

This example deletes the repository that includes the repositoryId 3451.

Update User-Defined Repository

POST https://bems.example.com:8443/docsconsole-sso/data/docs/users/user1@example.com/repositories/3451

Authorization: Basic ZXhhbXBsZVx1c2VyMTpPcGVuU2VzYW1l

HTTP Request body in a JSON format:
{
 "name":"Marketing",
 "storagetype":"SharePoint",
 "path":"https://<serverY>/marketing",
 "validatepath":false
}
 

This example modifies the repository that includes the repositoryId 3451 to the new name "Marketing" and new location on the Microsoft SharePoint server.